INTERFACE
SUBROUTINE EGATHERSPA(PGSPA3,PGSPA2,PGSPA1,PGTOVSCV,PLSPA3,PLSPA2,PLSPUB,PLSPVB,PTOVSCVX)
USE PARKIND1 ,ONLY : JPIM ,JPRB
REAL(KIND=JPRB) ,INTENT(OUT) :: PGSPA3(:,:,:)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGSPA2(:,:)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGSPA1(:,:)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGTOVSCV(:,:)
REAL(KIND=JPRB) ,INTENT(IN), OPTIONAL, TARGET :: PLSPA3(:,:,:)
REAL(KIND=JPRB) ,INTENT(IN), OPTIONAL, TARGET :: PLSPA2(:,:)
REAL(KIND=JPRB) ,INTENT(IN), OPTIONAL, TARGET :: PLSPUB(:)
REAL(KIND=JPRB) ,INTENT(IN), OPTIONAL, TARGET :: PLSPVB(:)
REAL(KIND=JPRB) ,INTENT(IN), OPTIONAL, TARGET :: PTOVSCVX(:,:)
END SUBROUTINE EGATHERSPA
END INTERFACE
